Bug 735880 - Feature request - augment component browsing to include links to assignee and QE owner bugzillas
Feature request - augment component browsing to include links to assignee and...
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Product Browser (Show other bugs)
3.6
Unspecified Unspecified
unspecified Severity medium (vote)
: ---
: ---
Assigned To: Simon Green
Len DiMaggio
:
Depends On:
Blocks: JIRABZ
  Show dependency treegraph
 
Reported: 2011-09-05 20:43 EDT by Len DiMaggio
Modified: 2014-10-12 18:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-22 16:31:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Len DiMaggio 2011-09-05 20:43:49 EDT
Description of problem:

The component browser currently lists the names of assignees and QE owners as mailto: links - for example - see here:

https://bugzilla.redhat.com/describecomponents.cgi?product=JBoss%20Enterprise%20BRMS%20Platform%205

Can these links be converted to return a query of the bugzillas owned by these people?

This would make the browse feature parallel this in JIRA:

https://issues.jboss.org/browse/JBIDE?selectedTab=com.atlassian.jira.plugin.system.project%3Acomponents-panel

Version-Release number of selected component (if applicable):
3.5

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 4 Len DiMaggio 2011-09-21 09:26:54 EDT
The new report looks nice.

One of the goals is to be able to select a component, and then "follow" the assignee's name to a list of the bugs that he owns.

That is working here:

https://bug735880.bz-devel.eng.bne.redhat.com/describecomponents.cgi?product=JBoss%20Enterprise%20BRMS%20Platform%205

Before we close this - let me check with Max - it was his request. Thx!
Comment 5 Len DiMaggio 2011-09-21 09:48:24 EDT
All set - we can close this - thanks for making the change!
Comment 6 Simon Green 2011-09-21 10:01:05 EDT
$ svn commit template/ bugzilla.spec.in
Sending        bugzilla.spec.in
Sending        template/en/default/reports/components.html.tmpl
Transmitting file data ..
Committed revision 2551.
Comment 7 Simon Green 2011-09-21 18:43:05 EDT
This change is now on https://partner-bugzilla.redhat.com/ . It is scheduled
for tomorrow's Bugzilla release.

  -- simon
Comment 8 Simon Green 2011-09-22 16:31:47 EDT
This went live about 30 minutes ago.

  -- simon

Note You need to log in before you can comment on or make changes to this bug.